%define name    xfontselector
%define version 0.9

Summary: Another xfontsel.
Name:    %{name}
Version: %{version}
Release: 4
Copyright: GPL
Group:  X11/Utilities
Source0: %{name}-%{version}-%{release}.tar.gz
Prefix: %{_prefix}
URL: http://xfontselector.sourceforge.net 
#Distribution: 
#Icon: 
Vendor: Jacek Pliszka <pliszka@fuw.edu.pl>
Packager: Bob Marcan <bob.marcan@aster.si>
Requires: qt
Provides: %{name}
AutoReqProv: yes
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

#--------------------------------------------------------------------------
%description
X Font Selector is a simple hack program that lets You select the X font
You like in much more convenient way than xfontsel does.
The program requires Qt library version >=2.0.

#--------------------------------------------------------------------------
%prep
%setup -n %{name}-%{version}-%{release}
chmod +rw -R *

#--------------------------------------------------------------------------
%build
make

#--------------------------------------------------------------------------
%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

install -c xfontselector ${RPM_BUILD_ROOT}%{_bindir}
install -c -m 644 xfontselector.1 ${RPM_BUILD_ROOT}%{_mandir}/man1

cd $RPM_BUILD_DIR/%{name}-%{version}-%{release}
find $RPM_BUILD_ROOT ! -type d | sed -e "s@^$RPM_BUILD_ROOT@@g" \
   -e 's@^/usr/local/bin@%attr(755, root, root) /usr/local/bin@g' \
      > %{name}-filelist

#--------------------------------------------------------------------------
%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


#--------------------------------------------------------------------------
%files -f %{name}-filelist
%defattr(-,root,root,755)
%doc ChangeLog TODO


#--------------------------------------------------------------------------
%changelog
* Mon Dec 10 2001 Jacek Pliszka <pliszka@fuw.edu.pl>
- .spec file + rpms put on SourceForge
* Mon Dec 10 2001 Bob Marcan <bob.marcan@aster.si> 
- Tru64 (OSF1) 
  Applying patches from Enrique Perez-Terron <enrio@online.no>

